Subject: [PATCH] powerpc: linkstation uses uimage style zImages

From: Mark Glines <[email-masked]>
Date: Mon, 25 Dec 2006 13:47:42 -0800

Guennadi Liakhovetski wrote:
> On Mon, 25 Dec 2006, Mark Glines wrote:
>> Followup:  Yeah, it looks like it just doesn't know which format of zImage to
>> produce for linkstation.
>>
>> I'm not sure what image should be used by default.  I guess it depends on the
>> bootloader.  Maybe default to uImage, as uBoot seems to be fairly common on
>> these devices?
> 
> Yes, uImage is the format used on linkstation. Is there a way to cleanly 
> specify this in the kernel sources apart from a comment in Kconfig?

Yep.  Kconfig just needs to select DEFAULT_UIMAGE, and then the system 
tries to build a uImage.

Once I tracked down and installed a "mkimage" command (dependency needed 
by the WRAP line), my "make zImage" succeeded.  So, I hope you guys 
apply this.

...

   GEN     .version
   LD      .tmp_vmlinux1
   KSYM    .tmp_kallsyms1.S
   AS      .tmp_kallsyms1.o
   LD      .tmp_vmlinux2
   KSYM    .tmp_kallsyms2.S
   AS      .tmp_kallsyms2.o
   LD      vmlinux
   SYSMAP  System.map
   SYSMAP  .tmp_System.map
   MODPOST vmlinux
   WRAP    arch/powerpc/boot/uImage
Image Name:   Linux-2.6.20-rc2-kuroboxHG
Created:      Sun Dec 24 19:24:12 2006
Image Type:   PowerPC Linux Kernel Image (gzip compressed)
Data Size:    1673973 Bytes = 1634.74 kB = 1.60 MB
Load Address: 0x00000000
Entry Point:  0x00000000
paranoid@kuro-2 /usr/src/linux $

Signed-off-by: Mark Glines <[email-masked]>
--- linux-2.6.20-rc2/arch/powerpc/platforms/embedded6xx/Kconfig.orig	2006-12-24 19:13:49.000000000 -0800
+++ linux-2.6.20-rc2/arch/powerpc/platforms/embedded6xx/Kconfig	2006-12-24 19:14:02.000000000 -0800
@@ -79,6 +79,7 @@
 	select MPIC
 	select FSL_SOC
 	select PPC_UDBG_16550 if SERIAL_8250
+	select DEFAULT_UIMAGE
 	help
 	  Select LINKSTATION if configuring for one of PPC- (MPC8241)
 	  based NAS systems from Buffalo Technology. So far only